%define pypi_name ipy
%define srcname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{pypi_name}
Version:        1.01
Release:        %mkrel 3
License:        BSD
Group:          Development/Python
URL:            https://github.com/haypo/python-ipy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%package -n python3-%{pypi_name}
Summary:        Python 3  module for handling IPv4 and IPv6 Addresses and Networks
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-IPy < 1.01

%description -n python3-%{pypi_name}
IPy is a Python 3 module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS ChangeLog README.rst
%license COPYING
%{python3_sitelib}/%{srcname}*
%{python3_sitelib}/__pycache__/%{srcname}*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.01-3.mga9
+ Revision: 1822315
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 1.01-2.mga9
+ Revision: 1773197
- Rebuild against python 3.10

* Sat Mar 20 2021 wally <wally> 1.01-1.mga9
+ Revision: 1706024
- rename src as python-ipy
- new version 1.01

* Sat Mar 20 2021 neoclust <neoclust> 0:1.00-2.mga9
+ Revision: 1705926
- Rebuild against python 3.9

* Wed Jun 10 2020 daviddavid <daviddavid> 0:1.00-1.mga8
+ Revision: 1591648
- new version: 1.00
- fix owner of python3_sitelib dir

* Sun Feb 16 2020 umeabot <umeabot> 0:0.83-3.mga8
+ Revision: 1534841
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0:0.83-2.mga8
+ Revision: 1450179
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0:0.83-1.mga7
+ Revision: 1350950
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0:0.81-13.mga7
+ Revision: 1288200
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0:0.81-12.mga7
+ Revision: 1135458
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0:0.81-11.mga6
+ Revision: 970866
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0:0.81-10.mga6
+ Revision: 888743
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0:0.81-9.mga5
+ Revision: 744847
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:0.81-8.mga5
+ Revision: 728773
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:0.81-7.mga5
+ Revision: 687874
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0:0.81-6.mga5
+ Revision: 629717
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0:0.81-5.mga5
+ Revision: 628445
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0:0.81-4.mga4
+ Revision: 542965
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0:0.81-3.mga4
+ Revision: 498071
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 0:0.81-2.mga4
+ Revision: 490506
+ rebuild (emptylog)

* Thu Aug 08 2013 philippem <philippem> 0:0.81-1.mga4
+ Revision: 464651
- Update to 0.81, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0:0.75-2.mga3
+ Revision: 378441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 04 2011 ahmad <ahmad> 0:0.75-1.mga2
+ Revision: 118015
- Update to 0.75

* Wed Apr 06 2011 ahmad <ahmad> 0:0.74-1.mga1
+ Revision: 80971
- update to 0.74
- update the URL and the Source url
- imported package python-IPy

